Prima Pagina aplicatii Apple interzice aplicatia F.lux

Apple interzice aplicatia F.lux

f.Lux instalare iPhoneZilele trecute v-am spus cum instalati aplicatia F.lux pe iPhone sau iPad pentru a putea modifica culorile ecranului terminalelor companiei Apple, insa din pacate cei de la Apple se opun acestui lucru.

Intr-un articol publicat pe propriul blog, dezvoltatorul aplicatiei F.lux a explicat faptul ca a fost contactat de catre compania Apple care i-a cerut sa nu mai distribuie aplicatia sa pe internet pentru instalare pe orice terminale deoarece acest lucru incalca termenii si conditiile dezvoltatorilo pentru iOS.

Compania Apple isi permite sa faca acest lucru deoarece desi aplicatia nu este oferita oficial prin App Store, ea foloseste totusi tehnologia Xcode pentru a fi instalata, iar compania Apple poate controla tot ceea ce se face prin software-ul sau, daca doreste.

Incepand cu iOS 9 compania Apple ofera posibilitatea de a instala orice fel de aplicatii in iPhone sau iPad, insa aceasta este prima oara cand ii interzice unui dezvoltator sa distribuie o anumita aplicatie pe care nu a publicat-o in App Store si aceasta nu va fi ultima oara.

f.lux cannot ship an App using the Documented APIs, because the changes we make are not allowed. In the last 5 years, we have had numerous conversations with Apple about our product and what would be required to make it work with iOS. We respect Apple’s products enormously, and we urge Apple to allow work like ours to continue through Documented APIs.

Desi compania Apple nu vrea ca aplicatia F.lux sa fie distribuita de catre acei dezvoltatori, in articolul scris zilele trecute de catre mine aveti un link de download care inca functioneaza, asa ca va puteti folosi de el in continuare pentru a descarca si instala aplicatia.

Ca sa fiu sincer, nu prea inteleg de ce mai permite Apple instalarea oricaror aplicatii din moment ce restrictioneaz aceasta functie atunci cand nu ii convine ceva, insa compania Apple a a avut intotdeauna practici contradictorii cand lucrurile incep sa nu ii mai convina.

  • ionutz

    Cum adica “Incepand cu iOS 9 compania Apple ofera posibilitatea de a instala orice fel de aplicatii in iPhone sau iPad”?

  • liviu’s

    Imi zice asa: iPhone 6s Plus cannot run iflux.
    si: iflux does not have an architecture that iPhone 6s Plus can execute.

    Deci este vreo rezolvare pentru 6s plus?

  • liviu’s

    Pana la urma am reusit sa instalez dar zice acum: untrusted developer. si mai jos: your device management settings do not allow using apps from developer…